KDE 4.9 PyKDE API Reference

- KDE's Python API

# LocalSocketClient Class Reference

`from PyKDE4.soprano import *`

Inherits: QObject,Soprano.Error.ErrorCache
Namespace: Soprano.Client

## Detailed Description

## Methods

| __init__ (self, QObject parent=0)
bool | connect (self, QString name=QString())
Soprano.Model | createModel (self, QString name, [Soprano.BackendSetting] settings=QList<Soprano.BackendSetting>())
| disconnect (self)
bool | isConnected (self)
| removeModel (self, QString name)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

bool connect | ( | self, |
|  | QString | name=QString()
| ) |  |  |

Soprano.Model createModel | ( | self, |
|  | QString | name,
|  | [Soprano.BackendSetting] | settings=QList<Soprano.BackendSetting>()
| ) |  |  |

disconnect | ( |  | self ) |

bool isConnected | ( |  | self ) |

removeModel | ( | self, |
|  | QString | name
| ) |  |  |